Description

Supportanfrage

ich habe eine Anfrage bekommen, die ich nicht beantworten kann:

1.  Ist ein Support von PEAK-Devices wie in ADTF-2 geplant? Laut Roadmap ist das wohl nicht vorgesehen, ich wollte zur Sicherheit

aber nochmal nachfragen.

2.  Ist ein Support von ASAM-MDF4 für Import / Export vorgesehen? Laut Roadmap sollte das schon vorhanden sein, in der Doku

bin ich aber nur bedingt fündig geworden:

Grundsätzlich kann ich in der ADTF-Doku keinerlei Hinweise auf einen DAT-Importer / Exporter finden. Ist die Funktionalität

überhaupt schon da?

Laut Dev-TB 3.0 Doku gibt's da was.... Bin mir aber nicht sicher, wie ich das interpretieren soll:

 

Bedeutet das jetzt, dass zum aktuellen Zeitpunkt nur ASC Export geht?

Lösung

Ist ein Support von PEAK-Devices wie in ADTF-2 geplant? Laut Roadmap ist das wohl nicht vorgesehen, ich wollte zur

Sicherheit aber nochmal nachfragen.

 Nein, Peak wurde im Kundenforum leider rausdefiniert

Ist ein Support von ASAM-MDF4 für Import / Export vorgesehen? Laut Roadmap sollte das schon vorhanden sein, in der Doku

bin ich aber nur bedingt fündig geworden:

 Ja, ist in Umsetzung aber leider noch nicht fertig.

Grundsätzlich kann ich in der ADTF-Doku keinerlei Hinweise auf einen DAT-Importer / Exporter finden. Ist die Funktionalität
überhaupt schon da?

Alles rund um das (adtf)dat file ist in die ADTF File Library / IFHD gewandert, was die Grundlage bzgl. read/write darstellt.

Dort gibt es auch das adtf_dattool, wo mittels reader (import) und processor (export) die Funktionalität eines DAT Exporters portiert

wurde.

https://support.digitalwerk.net/adtf_libraries/adtf-file-library/v0/html/index.html

https://support.digitalwerk.net/adtf/v3/guides/intro_dattool.html

Example -> https://support.digitalwerk.net/adtf/v3/guides/tutorial_dat_tool_processor.html

Hierfür gibt es auch eine erste GUI Version:

https://support.digitalwerk.net/adtf_libraries/adtf-dat-gui-tools/v0/guides/intro_dattool_gui.html

Das sollte eigentlich alles sauber dokumentiert sein und auch aus den Release Mails / Change Logs hervorgehen...

Laut Dev-TB 3.0 Doku gibt's da was.... Bin mir aber nicht sicher, wie ich das interpretieren soll:

 

Bedeutet das jetzt, dass zum aktuellen Zeitpunkt nur ASC Export geht?

 Genau das bedeutet es, ASC Reader sowie MDF Processor fehlen noch und sollten mit einen der nächsten Toolbox Versionen

innerhalb der nächsten Monate kommen.

Related issues:

Related to Public Support - Support Request #8451: EBPRODUCTSUPPORT-4912 Hard... Closed

History

#1 - 2019-04-16 10:03 - hidden

- Project changed from Public Support to 7

- Description updated

- Status changed from New to In Progress

- Topic set to DeviceTB::Common

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF Device Toolbox 3.0.0 added

#2 - 2019-04-16 10:10 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Anja,

Ist ein Support von PEAK-Devices wie in ADTF-2 geplant? Laut Roadmap ist das wohl nicht vorgesehen, ich wollte zur Sicherheit aber nochmal

nachfragen.
 Nein, Peak wurde im Kundenforum leider rausdefiniert

Ist ein Support von ASAM-MDF4 für Import / Export vorgesehen? Laut Roadmap sollte das schon vorhanden sein, in der Doku bin ich aber nur

bedingt fündig geworden:

 Ja, ist in Umsetzung aber leider noch nicht fertig.

Grundsätzlich kann ich in der ADTF-Doku keinerlei Hinweise auf einen DAT-Importer / Exporter finden. Ist die Funktionalität überhaupt schon

da?

Alles rund um das (adtf)dat file ist in die ADTF File Library / IFHD gewandert, was die Grundlage bzgl. read/write darstellt.

Dort gibt es auch das adtf_dattool, wo mittels reader (import) und processor (export) die Funktionalität eines DAT Exporters portiert wurde.

https://support.digitalwerk.net/adtf_libraries/adtf-file-library/v0/html/index.html

https://support.digitalwerk.net/adtf/v3/guides/intro_dattool.html

Example -> https://support.digitalwerk.net/adtf/v3/guides/tutorial_dat_tool_processor.html

Hierfür gibt es auch eine erste GUI Version:

https://support.digitalwerk.net/adtf_libraries/adtf-dat-gui-tools/v0/guides/intro_dattool_gui.html

Das sollte eigentlich alles sauber dokumentiert sein und auch aus den Release Mails / Change Logs hervorgehen...

Laut Dev-TB 3.0 Doku gibt's da was.... Bin mir aber nicht sicher, wie ich das interpretieren soll:

 

Bedeutet das jetzt, dass zum aktuellen Zeitpunkt nur ASC Export geht?

 Genau das bedeutet es, ASC Reader sowie MDF Processor fehlen noch und sollten mit einen der nächsten Toolbox Versionen innerhalb der

nächsten Monate kommen.

Sind deine Fragen damit geklärt ?

#3 - 2019-04-17 09:30 - hidden

- File ~WRD000.jpg added

Hallo Florian,

Danke schön. Dann kann das Ticket geschlossen werden.

Best regards,

Anja Winkler

#4 - 2019-04-17 12:00 - hidden

- File deleted (~WRD000.jpg)

#5 - 2019-04-17 12:01 - hidden

- Project changed from 7 to Public Support

- Subject changed from EBPRODUCTSUPPORT-3518 Support Peak & MDF in ADTF-3 to EBPRODUCTSUPPORT-3518 Support for Peak Devices

2024-04-26 3/4

https://support.digitalwerk.net/adtf_libraries/adtf-file-library/v0/html/index.html
https://support.digitalwerk.net/adtf/v3/guides/intro_dattool.html
https://support.digitalwerk.net/adtf/v3/guides/tutorial_dat_tool_processor.html
https://support.digitalwerk.net/adtf_libraries/adtf-dat-gui-tools/v0/guides/intro_dattool_gui.html


and MDF in ADTF 3.x

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#6 - 2019-07-19 08:10 - hidden

- Status changed from To Be Closed to Closed

#7 - 2019-09-25 17:10 - hidden

- Related to Support Request #8451: EBPRODUCTSUPPORT-4912 Hardware support with ADTF 3 Device Toolbox added
